{ config, systemConfig, ... }:
let
  username = systemConfig.username;
in
{
  users = {
    mutableUsers = false;
    users.${username} = {
      isNormalUser = true;
      hashedPasswordFile = config.sops.secrets.password-hash.path;
      description = username;
      extraGroups = [
        "networkmanager"
        "wheel"
      ];
    };
  };
}
